MeshTale Docs
POST
/v1/workspaces/{id}/crawls/preview

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/workspaces/string/crawls/preview" \  -H "Content-Type: application/json" \  -d '{    "url": "http://example.com",    "scope": "page"  }'
{  "preview_id": "38381d54-bf0b-45bb-b5de-59c664e2cf04",  "seed_url": "http://example.com",  "scope": "page",  "computed_prefix": "string",  "candidate_url_count": 0,  "candidate_urls_first_page": [    "http://example.com"  ],  "candidate_urls_next_cursor": "string",  "plan_page_cap": 0,  "vendor_renderer_enabled": true,  "plan_vendor_monthly_remaining_cents": 0}
Empty
Empty
Empty
Empty